Package picard.illumina.parser

## Class TileMetricsUtil

- java.lang.Object
- - picard.illumina.parser.TileMetricsUtil

-     public class TileMetricsUtil
      extends Object

  Utility for reading the tile data from an Illumina run directory's TileMetricsOut.bin file

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `INTEROP_SUBDIRECTORY_NAME` | The path to the directory containing the tile metrics file relative to the basecalling directory.
    `static String` | `TILE_METRICS_OUT_FILE_NAME` | The expected name of the tile metrics output file.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TileMetricsUtil()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static List<File>` | `findTileMetricsFiles​(File illuminaRunDirectory, int numCycles, boolean isNovaSeq)` |
    `static Collection<Tile>` | `parseClusterRecordsFromTileMetricsV3​(Collection<File> tileMetricsOutFiles, Map<Integer,​File> phasingMetricsFiles, ReadStructure readStructure)` |
    `static Collection<Tile>` | `parseTileMetrics​(File tileMetricsOutFile, Map<Integer,​File> phasingMetricsFiles, ReadStructure readStructure, htsjdk.samtools.ValidationStringency validationStringency)` | Deprecated. use `parseClusterRecordsFromTileMetricsV3(Collection, Map, ReadStructure)` instead
    `static Collection<Tile>` | `parseTileMetrics​(File tileMetricsOutFile, ReadStructure readStructure, htsjdk.samtools.ValidationStringency validationStringency)` | Returns an unmodifiable collection of tile data read from the provided file.
    `static Map<Integer,​File>` | `renderPhasingMetricsFilesFromBasecallingDirectory​(File illuminaRunDirectory)` |
    `static File` | `renderTileMetricsFileFromBasecallingDirectory​(File illuminaRunDirectory, int numCycles, boolean isNovaSeq)` | Deprecated. use `findTileMetricsFiles(File, int, boolean)` instead

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INTEROP_SUBDIRECTORY_NAME

          public static String INTEROP_SUBDIRECTORY_NAME

      The path to the directory containing the tile metrics file relative to the basecalling directory.

    - #### TILE_METRICS_OUT_FILE_NAME

          public static String TILE_METRICS_OUT_FILE_NAME

      The expected name of the tile metrics output file.

  - ### Constructor Detail

    - #### TileMetricsUtil

          public TileMetricsUtil()

  - ### Method Detail

    - #### renderTileMetricsFileFromBasecallingDirectory

          @Deprecated
          public static File renderTileMetricsFileFromBasecallingDirectory​(File illuminaRunDirectory,
                                                                           int numCycles,
                                                                           boolean isNovaSeq)

      Deprecated.
      use `findTileMetricsFiles(File, int, boolean)` instead
      Returns the path to the TileMetrics file given the basecalling directory.

    - #### findTileMetricsFiles

          public static List<File> findTileMetricsFiles​(File illuminaRunDirectory,
                                                        int numCycles,
                                                        boolean isNovaSeq)

    - #### parseClusterRecordsFromTileMetricsV3

          public static Collection<Tile> parseClusterRecordsFromTileMetricsV3​(Collection<File> tileMetricsOutFiles,
                                                                              Map<Integer,​File> phasingMetricsFiles,
                                                                              ReadStructure readStructure)
                                                                       throws FileNotFoundException

      Throws:
        `FileNotFoundException`

    - #### parseTileMetrics

          @Deprecated
          public static Collection<Tile> parseTileMetrics​(File tileMetricsOutFile,
                                                          Map<Integer,​File> phasingMetricsFiles,
                                                          ReadStructure readStructure,
                                                          htsjdk.samtools.ValidationStringency validationStringency)
                                                   throws FileNotFoundException

      Deprecated.
      use `parseClusterRecordsFromTileMetricsV3(Collection, Map, ReadStructure)` instead
      Throws:
        `FileNotFoundException`

    - #### parseTileMetrics

          public static Collection<Tile> parseTileMetrics​(File tileMetricsOutFile,
                                                          ReadStructure readStructure,
                                                          htsjdk.samtools.ValidationStringency validationStringency)
                                                   throws FileNotFoundException

      Returns an unmodifiable collection of tile data read from the provided file. For each tile we will extract: - lane number - tile number - density - cluster ID - Phasing & Prephasing for first template read (if available) - Phasing & Prephasing for second template read (if available)
      Throws:
        `FileNotFoundException`

    - #### renderPhasingMetricsFilesFromBasecallingDirectory

          public static Map<Integer,​File> renderPhasingMetricsFilesFromBasecallingDirectory​(File illuminaRunDirectory)